classification
Title: test_typing.GetTypeHintTests.test_get_type_hints_modules_forwardref unexpected success while running whole test suite sequentially
Type: behavior Stage: resolved
Components: Tests Versions: Python 3.8
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Unexpected success of test_get_type_hints_modules_forwardref in test_typing
View: 33758
Assigned To: Nosy List: levkivskyi, mcepl, xtreak
Priority: normal Keywords:

Created on 2019-05-13 15:52 by xtreak, last changed 2019-06-10 22:33 by benjamin.peterson. This issue is now closed.

Messages (1)
msg342348 - (view) Author: Karthikeyan Singaravelan (xtreak) * (Python committer) Date: 2019-05-13 15:52
This happens only while running the tests sequentially and also with whole test suite. This error is present in optional GCC build consistently as below : 

https://travis-ci.org/python/cpython/jobs/531845094#L2103

Running whole test suite sequentially in verbose mode brings below message locally : 

test_get_type_hints_modules_forwardref (test.test_typing.GetTypeHintTests) ... unexpected success

I am not sure of the relation in running this sequentially along with the whole test suite. Feel free to close this if this is a false positive.
History
Date User Action Args
2019-06-10 22:33:32benjamin.petersonsetstatus: open -> closed
superseder: Unexpected success of test_get_type_hints_modules_forwardref in test_typing
resolution: duplicate
stage: resolved
2019-05-22 16:47:13mceplsetnosy: + mcepl
2019-05-13 15:52:02xtreakcreate